%define name 	pam_ldap
%define version 180

# conditionally define %mkrel
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define subrel	1
%define release %mkrel 3

Summary:	NSS library and PAM module for LDAP
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	LGPL
Group:		System/Libraries
URL: 		http://www.padl.com/
#BuildRequires:	db_nss-devel >= 4.2.52-5mdk
BuildRequires:	libldap-devel >= 2.0.7-7.1mdk
BuildRequires:	pam-devel
BuildRequires:	automake1.4
Source0: 	http://www.padl.com/download/%{name}-%{version}.tar.bz2
Source1:	resolve.c
Source2:	resolve.h
Source3:	snprintf.h
Source4:	snprintf.c
Patch2:		pam_ldap-156-makefile.patch.bz2
Patch3:		pam_ldap-176-dnsconfig.patch.bz2
Patch4:		pam_ldap-180-CVE-2006-5170.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Requires:	nss_ldap >= 217

%description
Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install pam_ldap if you need to authenticate PAM-enabled services to
LDAP.
%{?!_with_dnsconfig:This package can be compiled with support for configuration}
%{?!_with_dnsconfig:from DNS, by building with "--with dnsconfig"}
%{?_with_dnsconfig:This package is built with DNS configuration support}

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch2 -p1 -b .pam_makefile

%if %{?_with_dnsconfig:1}%{!?_with_dnsconfig:0}
%patch3 -p1 -b .dnsconfig
for i in %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4
do cp $i .
done
%endif
%patch4 -p1 -b .cve-2006-5170

%build
rm -rf $RPM_BUILD_ROOT
%serverbuild
#aclocal && automake && autoheader && autoconf
#autoreconf --force

rm -f configure
libtoolize --copy --force; aclocal; autoconf; automake

export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure --with-ldap-lib=openldap --libdir=/%{_lib}
%__make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5

install -d $RPM_BUILD_ROOT/%{_sysconfdir}
install -d $RPM_BUILD_ROOT/%{_lib}/security

# Install the module for PAM.
%make install DESTDIR="$RPM_BUILD_ROOT" libdir=/%{_lib}

# Remove unpackaged file
rm -rf	$RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.LIB README pam.d chsh chfn ldap.conf
/%{_lib}/security/*so*
%{_mandir}/man?/*

%changelog
* Tue Nov 07 2006 Stew Benedict <sbenedict@mandriva.com> 180-2.1.20060mdk
- P4: security fix for CVE-2006-5170

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 180-2mdk
- Rebuild for libldap2.3

* Mon Aug 22 2005 Buchan Milne <bgmilne@linux-mandrake.com> 180-1mdk
- New release 180
- conditionally define %%mkrel macro for backporters

* Tue Jul 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 178-1mdk
- 178
- make dnsconfig support optional, disabled by default (security issue)
- update dnsconfig patch, and add more sources from nss_ldap (239)
- drop db4 buildrequire

* Mon May 30 2005 Stefan van der Eijk <stefan@eijk.nu> 170-6mdk
- split off pam_ldap into seperate package
- libtoolize (thanks Oden!)

* Fri Mar 11 2005 Pascal Terjan <pterjan@mandrake.org> 220-5mdk
- don't break using uri with patch 3 (#7551)

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 220-4mdk
- rebuild for ldap2.2_7

* Sun Aug 22 2004 Luca Berra <bluca@vodka.it> 220-3mdk 
- buildrequre autoconf-2.1 and automake-1.4
- force autoreconf

* Thu Aug 12 2004 Luca Berra <bluca@vodka.it> 220-2mdk 
- use libdb_nss 4.2
- pam_ldap 170

* Wed Jun 30 2004 Florin <florin@mandrakesoft.com> 220-1mdk
- nss_ldap 220
- remove the useless version and noent patches

* Wed Apr 28 2004 Florin <florin@mandrakesoft.com> 217-1mdk
- nss_ldap 217
- pam_ldap 169
- add the noent and version patches
- remove the 150 db3 obsolete patch

* Fri Dec 26 2003 Stefan van der Eijk <stefan@eijk.nu> 212-3mdk
- rebuild to get rid of Requires on libldap.so.1 and liblber.so.1
  (contrib packages)

* Thu Dec 25 2003 Luca Berra <bluca@vodka.it> 212-2mdk
- corrected patch5 (db4): i missed a file back in 211-3mdk
- removed BuildRequires: db1-devel, fixed in patch5

* Wed Dec 24 2003 Stefan van der Eijk <stefan@eijk.nu> 212-1mdk
- nss_ldap 212
- pam_ldap 167
- rediffed patch5
- remove unpackaged file /usr/lib/libnss_ldap.so.2
- fix BuildRequires for amd64
- comment out redundant BuildRequires: openssl-devel (libldap-devel)
- add BuildRequires: db1-devel

* Wed Nov 05 2003 Florin <florin@mandrakesoft.com> 211-4mdk
- use /%%{_lib} not /lib so libs are installed in the right place for amd64

* Sat Nov 01 2003 Luca Berra <bluca@vodka.it> 211-3mdk
- fixed db4
- changed ldap2-static-devel buildrequires to ldap2-devel
- don't buildrequire gdbm-devel
- 211-2mdk has been lost in a time warp

* Fri Oct 17 2003 Florin <florin@mandrakesoft.com> 211-1mdk
- nss_ldap 211
- pam_ldap 165

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 207-3mdk
- fix deps

* Thu Sep 18 2003 Florin <florin@mandrakesoft.com> 207-2mdk
- rebuild

* Tue Aug 05 2003 Buchan Milne <bgmilne@linux-mandrake.com> 207-1mdk
- 207 and pam_ldap 164
- rebuild for kerberos-1.3
- Remove redundant buildrequires, tighten libdb requires to ensure db4.1
- patch (4) pam_ldap to not redefine _rebind_proc, use -fno-strict-aliasing

* Mon May  5 2003 Vincent Danen <vdanen@mandrakesoft.com> 204-2mdk
- change defaults in our ldap.conf to make it more suitable for
  authentication purposes

* Sat Apr 12 2003 Stefan van der Eijk <stefan@eijk.nu> 204-1mdk
- pam_ldap 161
- nss_ldap 204
- remove unpackaged file
- Removed duplicate BuildRequires

* Wed Oct 30 2002 Vincent Danen <vdanen@mandrakesoft.com> 202-1mdk
- pam_ldap 202
- nss_ldap 156 (security fixes)
- rediff P2

* Thu Aug 01 2002 Vincent Danen <vdanen@mandrakesoft.com> 194-3mdk
- update /etc/ldap.conf so paths to certs match 9.0 specs
  (/etc/ssl/openldap)

* Mon Jul 22 2002 Vincent Danen <vdanen@mandrakesoft.com> 194-2mdk
- remove re-define of %%_libdir (was mapping it to /lib which caused
  problems with brp-mandrake); re: David Walser
- don't call nscd initscript with condrestart; re: David Walser

* Tue Jun 11 2002 Vincent Danen <vdanen@mandrakesoft.com> 194-1mdk
- pam_ldap 148
- nss_ldap 194

* Thu Mar 28 2002 Vincent Danen <vdanen@mandrakesoft.com> 173-2mdk
- re-enable --with-rfc2307bis and --enable-ids-uid

* Thu Nov 22 2001 Philippe Libat <philippe@mandrakesoft.com> 173-1mdk
- pam_ldap version: 134
- nss_ldap version: 173

* Thu Oct 18 2001 Philippe Libat <philippe@mandrakesoft.com> 172-4mdk
- new db3

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 172-3mdk
- BuildRequires: db3-devel

* Fri Sep 21 2001 Vincent Saugey <vince@mandrakesoft.com> 172-2mdk
- Change default and conf file
- Set to tls by default

* Tue Aug 21 2001 Vincent Saugey <vince@mandrakesoft.com> 168-1mdk
- update pam_ldap & nss_ldap

* Fri Jul 13 2001 Philippe Libat <philippe@mandrakesoft.com> 163-1mdk
- update pam_ldap & nss_ldap

* Mon Jul 02 2001 Philippe Libat <philippe@mandrakesoft.com> 159-1mdk
- update pam_ldap & nss_ldap version

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 153-3mdk
- BuildRequires: pam-devel
- bzipped patches

* Tue Jun 05 2001 Philippe Libat <philippe@mandrakesoft.com> 153-2mdk
- added patch: specify per-service attributes from Matthew Geddes <mgeddes@xavier.sa.edu.au>

* Thu May 17 2001 Philippe Libat <philippe@mandrakesoft.com> 153-1mdk
- new pam_ldap and nss_ldap

* Thu May 17 2001 Philippe Libat <philippe@mandrakesoft.com> 150-7mdk
- split in 2 RPMs

* Wed May 16 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 150-6mdk
- added creation of ldap.secret
- changed ldap.conf defaults

* Wed May 16 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 150-5mdk
- dinamically linked libraries in nss_ldap

* Mon May 07 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 150-4mdk
- re-enabled pam_ldap-107-dnsconfig.patch
- added BuildRequires:	libldap2-devel-static >= 2.0.7-8mdk

* Sun Apr 29 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 150-3mdk
- pam_ldap-108
- disabled pam_ldap-105-dnsconfig.patch
- new db3 patch

* Mon Apr 16 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 150-2mdk
- pam_ldap-107

* Fri Apr 13 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 150-1mdk
- nss_ldap-150
- removed no more needed nss_ldap-149-fail.patch
- removed no more needed pam_ldap-46-pam_console.patch

* Thu Apr 12 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 149-2mdk
- removed unneeded files
- added post and postun
- added nscd reset
- patched non-root nss_ldap compilation
- added db3 support
- fixed configure
- merged with pam_ldap  
- added BuildRequires openssl-devel, libsasl7-devel, libldap2-devel
- added Requires openssl, libsasl7, libldap2
- changed make macro

* Tue Mar 06 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 149-1mdk
- new release 
- clean up in spec
- splitted from pam_ldap

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 107-2mdk
- rebuilt with new %doc macro

* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- merge with Nalin Dahyabhai'RH patchs
- update to nss_ldap 107
- update to pam_ldap 46
- change group

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppatch in Buildroot.
- changes in the description text.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.
- Fix building as user.

* Fri Oct 22 1999 Bill Nottingham <notting@redhat.com>
- statically link ldap libraries (they're in /usr/lib)

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- use the ldap.conf file as an external source
- don't forcibly build the support for version 3
- imported the default spec file from the tarball and fixed it up for RH 6.1

